version: 1

containers:
  main:
    image: lightninglabs/lightning-terminal:v0.14.0-alpha.rc1
    command:
    - --insecure-httplisten=0.0.0.0:3000
    - --network="{{plugins.bitcoin.info.network}}"
    - --lnd-mode="remote"
    - --remote.lnd.rpcserver=main.lnd.{{user}}.nirvati:10009
    - --remote.lnd.macaroonpath="/data/lnd/terminal.macaroon"
    - --remote.lnd.tlscertpath="/data/lnd/tls.cert"
    - --uipassword="{{ derive_entropy(identifier="password") }}"
    environment:
      HOME: /data
    ingress_port: 3000
    mounts:
      data:
        data: /data
